import greenfoot.*;

public class Level extends World
{
    static final int worldWidth = 600, worldHeight = 400; // standard size of a world
    static final Color[] colors = { new Color(255, 128, 128),
                                    new Color(128, 255, 128),
                                    new Color(128, 128, 255),
                                    new Color(255, 255, 128),
                                    new Color(255, 128, 255),
                                    new Color(128, 255, 255),
                                    new Color(0, 255, 255),
                                    new Color(255, 0, 255),
                                    new Color(255, 255, 0) };
    static Level[][] rooms = new Level[3][3];
    static int room, level;
    static Kara kara;
    
    // the boolean argument must be 'true' to signify changing worlds
    // otherwise, it will perform like the scenario was reset or recompiled
    public Level(boolean continued)
    {
        super(worldWidth, worldHeight, 1);
        setPaintOrder(Kara.class);
        // if first world, reset the variable static fields
        if (!continued)
        {
            level = 0;
            room = 0;
            kara = new Kara();
            addObject(kara, 30, 200);
            // fill the array with the different worlds
            rooms[0][0] = this;
            rooms[1][0] = new Room302();
            rooms[2][0] = new Room303();
            rooms[0][1] = new Room201();
            rooms[1][1] = new Room202();
            rooms[2][1] = new Room203();
            rooms[0][2] = new Room101();
            rooms[1][2] = new Room102();
            rooms[2][2] = new Room103();
        }
    }
}